2007-12-04  Nikos Charonitakis <nikosx@gmail.com>

	* MAINTAINERS: Added missing Userid which was blocking ChangeLog
	submmision in /po folder

2007-09-15  Yannig Marchegay <yannig@marchegay.org>

        * po/oc.po: Updated Occitan translation
	
2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	R acconfig.h:
	* configure.in: Fix AC_DEFINE for GETTEXT_PACKAGE.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* src/main.c: (verb_HelpAbout_cb): Fix about dialogue closing. Bug
	#336524.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* autogen.sh:
	* configure.in:
	* po/LINGUAS:
	* src/Makefile.am: Fix the translations build by updating to
	po/LINGUAS as per GnomeGoal. Bug #334319.

2006-09-01  Abel Cheung  <abel@oaka.org>

	* configure.in: Added 'ka' to ALL_LINGUAS.

2006-04-17  Kjartan Maraas <kmaraas@gnome.org>

	* configure.in: Remove again.
	* po/no.po:

2006-03-13  Runa Bhattacharjee <runa@bengalinux.org>

	* configure.in: Added Bengali (bn) to ALL_LINGUAS.

2006-03-11  Guilherme de S. Pastore  <gpastore@gnome.org>

	* po/ChangeLog: fixed some stuff.
	
	* NEWS: updated.

	* configure.in: bumped version to 2.14.0.

2006-03-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* atomix.desktop.in: fixed the categories list and the GNOME
	  Bugzilla version. Closes bug #329319.

2006-01-15  Guilherme de S. Pastore  <gpastore@gnome.org>

	* autogen.sh, configure.in, Makefile.am: applied patch from Christian
	  Persch to use automake 1.9 and clean things up. Closes bug #327130.

2006-01-10  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.13.4.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* level.c, level.h, level-manager.c, level-private.h, main.c, main.h:
	  modified to read the compound formula from the level files and to
	  show them on the interface. Closes bug #312603.

	* level/: added formulas to all levels.

2005-12-20  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "fi" "mk" "ml" to ALL_LINGUAS.

2005-12-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.13.3.

2005-12-06  Žygimantas Beručka  <zygis@gnome.org>

	* configure.in: Added Lithuanian to ALL_LINGUAS.

2005-12-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated
	* configure.in: released 2.13.2

2005-12-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/board.c, src/main.c, src/main.h, src/undo.c: stop giving
	a pointer to the AtomixApp structure as argument to function
	calls: it only uses the stack unnecessarily, as it's a global
	variable. Also clean up the code a bit.

2005-12-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/Makefile.am: don't fail when symbols are resolved in
	order (Cygwin). Thanks to yselkowitz@users.sourceforge.net.
	Closes bug #314130.

2005-12-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* Makefile.am, src/Makefile.am, level/Makefile.am:
	fixes (actually work-arounds) to make the build process work
	and not	break make distcheck.

2005-11-26  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gtk-clock.[ch]: replaced with a more specific implementation,
	only designed to suit Atomix's needs, removing bloat and lots
	of unnecessary overheads.

	* main.c: adapted for the change above.

2005-11-20  Amanpreet Singh Alam <amanpreetalam@yahoo.com>

	* configure.in: Add pa to ALL_LINGUAS.

2005-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2005-11-17  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/level-manager.c, src/theme-manager.c: move g_free and
	closedir calls to inside an if in both files, to avoid a crash
	in very weird environments (closes bug #321758)

2005-11-15  Guilherme de S. Pastore  <gpastore@gnome.org>

	* level/sequence: fixed level sequence to comply with the
	new name of some levels.

2005-11-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* level/Makefile.am: updated list of level files, needed due
	to the rename of some of them.

	* src/main.c: fix typo that prevented the build from happening.

	* NEWS: updated.

	* configure.in: bumped version to 1.2.4

2005-11-13  Guilherme de S. Pastore  <gpastore@gnome.org>

	* level/: renamed Propylen to Propylene, Ethan to Ethane,
	Cyclo-buthane to Cyclobutane and Buthanol to Butanol (bugs
	#321371, #321369, #321367 and #321365, respectively). Thanks
	a lot for the revision, Christian Rose!

2005-09-12  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* NEWS: updated
	* README: updated e-mail address
	* configure.in: released 1.2.3

2005-09-10  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.c (verb_HelpAbout_cb): declare artists as const
	* AUTHORS, MAINTAINERS, src/main.c: updated e-mail address

2005-08-05  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.c:
	- move from GnomeAbout to GtkAbout
	- set icon as default, so it can be used by child
	windows with no icons, and mainly by GtkAbout

2005-08-04  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/atomix-ui.xml: use more stock icons from GTK+,
	partially addressing bug #312476

2005-06-26  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* configure.in: release 1.2.2

2005-06-26  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* atomix.desktop.in:
	- add encoding data
	- add information about bug reporting
	- do not hardcode the path to the icon
	* atomix-splash.png: removed; had been laying around
	even after the removal of splash screens.

2005-06-24  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* Makefile.am: removed atomix-logo.png from EXTRA_DIST,
	it's not necessary

2005-06-23  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* configure.in: changed to comply with the move to
	autoconf 2.52.

2005-06-20  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.[ch], src/board.c, undo.c: renamed
	GAME_STATE_LEVEL_RUNNING to GAME_STATE_RUNNING and
	introduced GAME_STATE_RUNNING_UNMOVED, which means no
	atom has been moved yet (or, more precisely, that
	there's no move in the undo stack), so neither "Undo"
	or "Skip" should be available. Several tweaks on the
	code structure had to be made to allow this.
	
2005-06-18  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* MAINTAINERS: added.
	* NEWS: updated (to catch up with changes since 1.1)
	* README: rewritten from scratch.

2005-06-17  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* level/dimethylether.atomix.xml: molecule/level name
	is "Dimethyl Ether", not "Dymethil Ether".

	* level/sequence: replace "Dimethylether" with
	"Dimethyl Ether".

	* configure.in: change version to 1.2.1, due to minor
	post-release fix.

2005-06-17  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* atomix.desktop.in, src/main.c (create_gui): use
	atomix-icon.png as icon. Thanks to Leonardo Pereira
	<leonardu_lopes@yahoo.com> for creating the image.

	* configure.in:
	- don't require libglade, as we haven't	been using
	  it for a while.
	- bump version to 1.2

2005-06-16  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* level/*.old, level/Makefile.in, level/Makefile.am:
	moved from old level file format to the current one,
	instead of converting at build-time.
	
	* src/main.c, src/level-manager.c, level/*.atomix.xml:
	made the name of the levels (which correspond to the
	name of the molecules) translatable.

	* level/dymethilether.atomix.xml: changed molecule name
	to Dymethil Ether.

	* level/formaldehyd.atomix.xml: renamed to Methanal,
	thanks to Leonardo Pereira <leonardu_lopes@yahoo.com>
	for pointing this out.

2005-04-24  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.c: replaced code to check if scores file is
	zero sized with a cleaner one, using stat.

2005-04-23  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/goal-view.c, src/level-convert.c: apply patch
	from Andreas Jochens to fix build failures with gcc 4,
	and used the opportunity to clean the code up.

2005-04-09  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* main.c: display a warning when trying to view scores with
	no or zero-sized scores file, instead of only silently
	ignoring it.

2005-03-21  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* configure.in: bumped version to 1.1.2

2005-03-21  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/undo.c (undo_exists): cleaned up.

2005-03-20  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.c (atomix_exit): save score if game is running.

	* src/board.c
	(board_hide): hide the movement arrows, so that the user cannot
	move the atoms while the game is paused.
	(board_show): show the movement arrows, as they are now hidden
	by board_hide, but *only* if undo_exists returns TRUE.

	* src/undo.c, src/undo.h
	(undo_exists): created, to check if the level has just begun or
	not, by checking if there is something on the undo stack.

2005-03-19  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* src/main.c
	(log_score): the name of the game is no longer translatable,
	as it only takes space unnecessarily on the potfiles.
	(verb_HelpAbout_cb): added the e-mails of the authors to the
	credits, and a translator credits feature.

	* README, atomix.desktop.in, src/board.c, src/board.h,
	* src/canvas_helper.c, src/canvas_helper.h,
	* src/goal-view.c, src/goal-view.h, src/goal.c, src/goal.h,
	* src/level-convert.c, src/level-manager.c, src/level-manager.h,
	* src/level-private.h, src/level.c, src/level.h, src/main.c,
	* src/main.h, src/playfield.c, src/playfield.h, src/preferences.c,
	* src/preferences.h, src/theme-manager.c, src/theme-manager.h,
	* src/theme-private.h, src/theme.c, src/theme.h, src/tile.c,
	* src/tile.h, src/undo.c, src/undo.h: changed all occurrences of
	"mind game" to "puzzle game".

	* Makefile.am: changed binary permissions from 2111 to 2755.

2005-03-18  Guilherme de S. Pastore  <gpastore@cvs.gnome.org>

	* ChangeLog: fixed some broken entries.

	* src/: enforced GNU coding style, with some very small
	tweaks for better readability in specific situations.

	* src/level-convert.c,
	* src/level-manager.c,
	* src/main.c,
	* src/theme-manager.c: don't pass more than one test to
	g_file_test at once, it's unnecessary.

	* src/board.c (board_handle_item_event): fix call to return,
	using FALSE as value, as it's not a void-returning function.

	* src/main.c
	(main): removed call to create_user_config_dir.
	(create_user_config_dir): removed, since we don't want to
	force users to keep empty directories that might never be
	used.

	* AUTHORS,
	* src/main.c: added myself to the credits, since I'm the
	one responsible for atomix now.

	* src/atomix-ui.xml.in: renamed to atomix-ui.xml
	* src/atomix-ui.xml: added pertinent xml header	

	* src/Makefile.am: don't merge translations into UI xml file,
	because libbonoboui translates it on-the-fly, and having them
	merged caused all the translations to be displayed on the menu.

	* configure.in: bumped version to 1.1

2004-08-23  Alastair McKinstry  <mckinstry@debian.org>

	* configure.in: Added "ga" (Irish) to ALL_LINGUAS.

2004-06-06  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS.

2004-05-12  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS.

2004-04-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-04-04  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2003-12-03  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 1.0, removed
	*_DISABLE_DEPRECATED flags (to make it build with Gtk+ 2.3), added
	Korean translation, call AC_PROG_RANLIB.

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-03-20  Gil "Dolfin" Osher <dolfin@rpg.org.il>

	* configure.in: Added 'he' to ALL_LINGUAS.

2003-02-22  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added 'sq' to ALL_LINGUAS.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-01-24  Daniel Yacob <locales@geez.org>

	* configure.in: Added am  to ALL_LINGUAS.

2002-01-07  Naba Kumar  <naba@gnome.org>

	* configure.in: Added hi (hindi) in ALL_LINGUAS

2002-12-30  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "kn" (Kannada) to the languages' list.

2002-11-22  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2002-11-05  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2002-10-09  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2002-07-23  Jens Finke  <jens@triq.net>

	* configure.in: Check required library versions.

	* NEWS: Updated.

2002-07-18  Jens Finke  <jens@triq.net>

	* src/board.c (board_handle_item_event): Check if item is moving
	currently.

	* src/main.c (verb_GamesScores_cb),
	(log_score): Use gnome_scores_display
	(get_highscore_widget): Removed.

	* configure.in: Bumped version to 0.9.4

2002-07-18  Jens Finke  <jens@triq.net>

	* atomix-logo.png: New file.
	
	* Makefile.am: s/splash/logo.

	* src/board.c (create_logo),
	(board_show_logo): New functions.

	* src/main.c (set_game_not_running_state): Show logo.
	(setup_level): Hide logo.
	(splash_destroy),
	(splash_button_event),
	(create_splash): Removed.
	(main): Removed splash stuff.

2002-07-18  Jens Finke  <jens@triq.net>

	* atomix.desktop.in: Made it more spec compliant.

	* Makefile.am: Silent install data.

	* src/Makefile.am: Removed install data.

2002-06-21  Andras Timar  <timar@gnome.hu>

	* configure.in: Added "hu" to ALL_LINGUAS.

2002-05-29  Jens Finke  <jens@triq.net>

	* src/main.c (create_gui): Supply DATADIR to
	bonobo_ui_util_get_ui_fname to find the ui description even if the
	prefix is different from the gnome installation path.

2002-05-17  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

2002-05-15  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 0.9.3.

2002-05-15  Jens Finke  <jens@triq.net>

	* src/board.c:
	(create_message): Removed.
	(create_background_floor): New function.
	(board_init): No more message items. Call create_background_floor.
	(board_init_level): Removed message_items handling.
	(board_render): Render one more row/col for shadow layer, use
	affine translation to center playfield.
	(render_tile): Don't render floor tiles anymore.
	(board_view_message): Removed.
	(board_hide_message): Removed.
	(get_item_by_row_col): Use affine transformation to obtain item.
	(get_row_col_by_item): Added check for canvas item object.
	(board_handle_key_event): Check if item data "tile" is NULL.
	(selector_move_to): Use affine absolute transformation.
	(selector_destroy): Removed.
	(selector_create): Use level_items->level as parent group for
	cursor and arrows.
	(create_message): Removed.

	* goal.c (goal_reached): Check if start_row/start_col are valid
	positions.
	(compare_playfield_with_goal): Ensure that end_row/end_col is
	always a valid playfield position.

	* level-convert.c (convert_environment): Set only non NULL tiles.
	(update_tile): Ignore floor tiles and use NULL for them.
	(save_environment): Write only tiles which are non NULL.

	* main.c (atomix_exit): #ifdef'd debug output.
	(create_splash): Center splash on screen.

	* playfield.c (convert_wall_tiles): Return NULL for floor tiles.
	(playfield_generate_shadow): Ensure row/col are not larger than
	playfield.

	* theme.c (theme_apply_decoration): Check for tile == NULL.
	
2002-05-05  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in (ALL_LINGUAS): Added pt_BR.

2002-04-29  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "vi" to ALL_LINGUAS.

2002-04-29  Jens Finke  <jens@triq.net>

	* level/aceticacid.old,
	* level/acetone.old,
	* level/buthanol.old,
	* level/cyclo-buthane.old,
	* level/dimethylether.old,
	* level/ethan.old,
	* level/ethanal.old,
	* level/ethanol.old,
	* level/ethylene.old,
	* level/formaldehyd.old,
	* level/glycerin.old,
	* level/lactic-acid.old,
	* level/propanal.old,
	* level/propylen.old,
	* level/pyran.old,
	* level/transbutylen.old: New files.

	* level/sequence: Added new files.

2002-04-29  Jens Finke  <jens@triq.net>

	* src/Makefile.am (INCLUDES): Removed -DDEBUG flag.

	* src/goal-view.c (create_small_item): Use g_object_unref to free
	pixbuf.
	
	* src/tile.c:
	* src/level-convert.c: s/g_strcasecmp/g_ascii_strcasecmp

	* src/goal.c (goal_finalize):
	* src/level_manager.c (add_level):
	* src/playfield.c (playfield_finalize):
	* src/theme-manager.c (add_theme): 
	* src/theme.c (theme_finalize), 
	(create_sub_images): Guard debug messages with #ifdef DEBUG.

2002-04-26  Jens Finke  <jens@triq.net>

	* acconfig.h,
	* src/Makefile.am,
	* configure.in: Added EXTRA_WARNING_CFLAGS.

	* src/board.[ch],
	src/level_manager.c,
	src/main.c,
	src/playfield.c,
	src/theme-manager.c,
	src/theme.c: Removed deprecated Gtk/Gnome function calls.

2002-04-19  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "ca" and "wa" to ALL_LINGUAS.

2002-04-11  Takeshi Aihana <aihana@gnome.gr.jp>

	* configure.in: Added ja to ALL_LINGUAS.

2002-03-22  T?µivo Leedj?¤rv  <toivo@linux.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-27  Jens Finke <jens@triq.net>

	This patch enables the concurrent usage of mouse and keyboard
	for atom movements.
	
	* src/board.c (get_row_col_by_item),
	(selector_show),
	(board_handle_arrow_event),
	(board_handle_item_event): New functions.
	(board_handle_key_event): Set mouse steering flag to false and
	show selector item explicitly.
	(selector_unselect): Show selector only if keyboard is used.
	(selector_arrows_show): Show arrows immediately if user uses
	mouse.
	(selector_create): Connect to arrow item event signal.
	(create_tile): Connect to item event signal, if its an atom tile.
	
2002-02-19  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added "el" (Greek) to ALL_LINGUAS.

2002-02-17  Jens Finke <jens@triq.net>

	* src/main.c (verb_HelpAbout_cb): Mark the strings in the about 
	dialog as translatable.
	
2002-02-16  Jens Finke <jens@triq.net>

	* atomix.desktop.in: New file.
	
	* Makefile.am: Install desktop file and setup scores.
	(EXTRA_DIST): Added atomix.desktop.in file

	* level/Makefile.am (EXTRA_DIST): Added sequence file.

2002-02-12  Jens Finke <jens@triq.net>

	* configure.in: bumped version to 0.9.2

2002-02-12  Jens Finke <jens@triq.net>

	* themes/default/arrow-left.png,
	* themes/default/arrow-top.png,
	* themes/default/arrow-right.png,
	* themes/default/arrow-bottom.png: Replaced dummy arrow icons with
	better ones.

2002-02-12  Jens Finke <jens@triq.net>

	* themes/default/atom-o.png,
	* themes/default/atom-h.png,
	* themes/default/atom-c.png: Changed color to 0.4.x version style.

2002-02-11  Jens Finke <jens@triq.net>

	* src/playfield.c (wall_map): Replaced default strings with
	"wall-horizontal-[left|right]-end".
	
	* themes/default/wall-horizontal-bottomx.png,
	* themes/default/wall-horizontal-topx.png,
	* themes/default/wall-single.png: Updated files.
	* themes/default/wall-horizontal-left-end.png,
	* themes/default/wall-horizontal-right-end.png: New files.
	* themes/default/theme,
	* themes/default/Makefile.am (THEME): Added new files.
	
2002-02-11  Jens Finke <jens@triq.net>

	* src/theme.c: s/GDK_INTERP_BILINEAR/GDK_INTERP_LINEAR needed to
	make the alpha handling working again (!?).

2002-01-24  Jens Finke <jens@triq.net>

	* src/Makefile.am (pf_test_SOURCES), (level_convert_SOURCES): Both
	need theme.[ch] now.

	* src/board.c (board_init_level): Submitt theme to
	playfield_generate_environment.

	* src/playfield.[ch] (playfield_generate_environment): Add some
	random decorations to basic wall/floor tiles.

	* src/theme-manager.c (load_theme): Handle decor node.
	(handle_tile_decor_node): New function.

	* src/theme-private.h (theme_add_image): Return id of added image.
	(theme_add_image_decoration): New function.

	* src/theme.[ch] (destroy_theme_image): Free decoration list.
	(theme_apply_decoration): New function.
	(theme_add_image): Return id of added image, initialize decoration
	list.
	(theme_add_image_decoration): New function.

	* themes/default/theme: Added decoration images.

	* themes/default/decor-fence.png|decor-holes.png|decor-liquid.png:
	New files. Test icons for decorations.
	
2002-01-23  Jens Finke <jens@triq.net>

	* src/board.c (board_init), (board_init_level), (board_render),
	(render_tile), (board_clear): Consider new shadow layer. It's
	located above all other items, so that the atoms can now move into
	the shadow of a wall. Looks rather cool.

	* src/level-convert.c (convert_environment): Don't create tile
	neigbour map anymore.
	(update_tile): Simplified this method. Most of this will be done
	dynamically at runtime now.
	(create_tile_env), (get_env_tile_type): Removed functions.

	* src/playfield.[ch] (setup_translation_map), (get_env_tile_type),
	(create_tile_env), (convert_wall_tiles), (convert_shadow_tiles):
	New helper functions.
	(playfield_generate_environment),
	(playfield_generate_shadow): The functionality which was in
	level-convert.c before is now done dynamically at runtime with
	these new functions.

	* src/theme.c (get_theme_image_pixbuf): Transform image if there
	has been an additional alpha value specified for it.
	(create_sub_images): Don't care for alpha value here. 

	* src/tile.h: Added new TileType TILE_TYPE_SHADOW.
	
2002-01-23  Jens Finke <jens@triq.net>

	* themes/default/ChangeLog, src/ChangeLog: Removed and merged them
	with this ChangeLog.

2002-01-23  Jens Finke <jens@triq.net>

	* themes/default/arrow-*.png, floor.png: Oops, forgot to re-add
	these icons.

2002-01-23  Jens Finke <jens@triq.net>

	* themes/default/shadow-*.png: Replaced them with Jakub's dark
	original versions.
	
	* themes/default/theme: Set alpha value for the shadow images to
	77.

2002-01-23  Jens Finke <jens@triq.net>

	* themes/default/theme: Use only icon tag to register image files.

2002-01-23  Jens Finke <jens@triq.net>

	* src/theme-manager.c (handle_title_icon_node): Assure alpha value
	is in the range [0,255].

	* src/theme.c (create_sub_images): Apply alpha value on icon as
	specified in the theme. This way shadows are easier to create.

2002-01-23  Jens Finke <jens@triq.net>

	* src/level-convert.c: (old_level_load_xml_file),
	(old_tile_load_xml),
	(calculate_translation_quark), (update_tile) (save_tile), (main):
	Translate old id based scheme to new GQuark based identification
	of icons.

	* src/theme-manager.c (load_theme): Handle 'icon' node, removed
	'floor', 'atom', 'wall' and 'selector' handler.
	(handle_tile_icon_node): New function.
	(handle_tile_type_node),
	(handle_selector_node): Removed.

	* src/theme.c (theme_add_sub_image),
	(theme_add_sub_image_with_id), (theme_add_base_image),
	(add_theme_image_to_hashtable),
	(theme_add_base_image_with_id): Removed.
	(theme_add_image): New function.
	(theme_init), (theme_finalize), (get_theme_image_pixbuf),
	(create_sub_images), (theme_get_tile_image),
	(theme_get_selector_image),
	(theme_get_selector_images): Update to new GQuark based image
	identification.

	* src/tile.[ch] (tile_copy), (tile_get_base_id), (tile_add_sub_id),
	(tile_remove_sub_id), (tile_remove_all_sub_ids),
	(tile_set_base_id)
	(tile_new_from_xml), (tile_save_xml): Update to new GQuark based
	image identification.

2002-01-23  Jens Finke <jens@triq.net>

	* level/Makefile.am: Set CLEANFILES variable.

2002-01-22  Jens Finke <jens@triq.net>

	* themes/default/*.png: Renamed icons to new naming scheme, added
	wall-single.png wall-horizontal-bottomx.png,
	wall-horizontal-topx.png, wall-vertical-leftx.png
	wall-vertical-rightx.png.

	* themes/default/theme: Updated to new file naming scheme and
	added new files.

2002-01-22  Jens Finke <jens@triq.net>

	* src/level-convert.c (update_tile): Consider new wall images
	during tile conversion.

2002-01-22  Jens Finke <jens@triq.net>

	* level/Makefile.am: Create atomix level at compiltime with the
	latest ../src/level-convert program. 
	
	* level/*.atomix: Removed all those files. Added *.old files
	instead which contain the level description from the gnome 1.4
	release. Note: This will be a temporary solution.

	* .cvsignore: Added *.atomix.

2002-01-21  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2002-01-21  Jens Finke <jens@tiq.net>

	* src/main.c (verb_HelpAbout_cb): Updated about information. Don't
	force about window to a certain size.

2002-01-19  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.ini: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Malay Translation
	  by Mohamad Afifi Omar (App) <mr_mohd_afifi@yahoo.com>

2001-12-12  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.
	* po/sk.po: Added Slovak translation.

2001-12-10  Jens Finke <jens@triq.net>

	* Released version 0.9.1
	

2001-12-09  Jens Finke <jens@triq.net>

	* src/Makefile.am (INCLUDES): Removed ../intl dir from path.  Use
	intltool to generate atomix-ui.xml from atomix-ui.xml.in.

	* src/atomix-ui.xml: Renamed to atomix-ui.xml.in

	* src/main.c: Include config.h
	(main): Set textdomain codeset to UTF-8.
	
2001-12-09  Jens Finke <jens@triq.net>

	* src/Makefile.am (uidir): Install atomix-ui.xml in
	$(datadir)/gnome-2.0/ui.

	* src/main.c (create_gui): Use bonobo_ui_util_get_ui_fname to obtain
	ui xml path.
	(create_splash): Removed debug message.

2001-12-09  Jens Finke <jens@triq.net>

	* Makefile.am (EXTRA_DIST): Added intl-tool-*.in files.

	* NEWS: Updated.
	
2001-12-09  Jens Finke <jens@triq.net>

	* configure.in: Call AC_PROG_INTLTOOL.

2001-12-03  Jens Finke <jens@triq.net>

	* src/atomix-ui.xml: Hide 'edit' menu for now. 

	* src/main.c (verb_GameScores_cb): Show highscores again.
	(verb_HelpAbout_cb): Show about dialog.
	(controller_handle_action): Log score if the user ends the game
	and when he finished the last level.
	(log_score),
	(get_highscore_widget): New functions.
	(save_score): Removed function.

2001-12-02  Jens Finke <jens@triq.net>

	* src/util.[ch]: Removed files.

	* src/canvas_helper.[ch]: Removed canvas_map stuff. 

2001-12-02  Jens Finke <jens@triq.net>		

	* src/main.c (create_gui): Use g_signal_connect.
	(splash_destroy),
	(splash_button_event),
	(create_splash): New functions for splash screen handling.
	(main): Create splash screen.

2001-12-02  Jens Finke <jens@triq.net>

	* src/board.c (board_init_level): Ref goal object.
	(board_clear): Unref goal object.

	* src/main.c: Rewrote the control flow handling. There is now a
	central function (controller_handle_action) which takes care of
	all the game state changes and need actions. Lot's of code could
	be removed because of this simplification.
	(calculate_score): New function.
	(update_player_info): Renamed to update_statistics.
	
2001-12-02  Jens Finke <jens@triq.net>

	* src/Makefile.am (atomix_SOURCES): Added gtk-clock.[ch].

	* src/gtk-clock.[ch]: New files.

	* src/gtk-time-limit.[ch]: Removed files.

	* src/main.c (get_app): Removed function.
	(game_init): Initialize the clock format.
	(game_prepare_level): Set clock to 0 seconds and start it.
	(game_level_timeout): Removed function.
	(game_bonus_level_timeout): Removed function.
	(game_level_finished): Stop clock and set to 0 seconds.
	(game_pause): Stop clock.
	(game_continue): Start clock.
	(add_statistics_table_entry): New utility function.
	(create_mainwin_content): Use add_statistics_table_entry.

2001-12-02  Jens Finke <jens@triq.net>

	* Makefile.am (EXTRA_DIST), (splash_DATA): Added atomix-splash.png
	image.

	* configure.in: Bumped version to 0.9.1.

	* atomix-splash.png: New file.

2001-12-01  Jens Finke <jens@triq.net>

	* src/atomix.h: Removed file.

2001-12-01  Jens Finke <jens@triq.net>

	* src/atomix-ui.xml: Added more command shortcuts.
	Added 'Reset level' menu item.

	* src/undo.[ch]: Rewrote this. Stores unlimited moves in a stack
	like datastructure now.

	* src/board.c: Adapted to new undo design.
	(move_item_anim): Select item only if it was also selected before
	the animation.

	* src/main.c (verb_GameReset_cb): New callback function.
	(game_init): Don't connect to main window key press event. This
	enables the shortcuts again.
	(game_new): Grab focus for canvas widget.
	(create_mainwin_content): Connect key handler to playfield canvas
	key event.
	

2001-11-30  Yuriy Syrota  <rasta@renome.rovno.ua>

	* configure.in: Added uk (Ukrainian) to ALL_LINGUAS.

2001-11-30  Jens Finke <jens@triq.net>

	* themes/default/Makefile.am (THEME): Added arrow-*.png files.

2001-11-30  Jens Finke <jens@triq.net>

	* themes/default/theme: New format for selector specification.

	* themes/default/arrow-left.png, 
	arrow-right.png, 
	arrow-top.png, 
	arrow-bottom.png: New files

2001-11-30  Jens Finke <jens@triq.net>

	* src/board.c (board_init_level): Show atom items explicitely.

	* src/level_manager.c: Removed debug messages.
	(add_level): Made remaining output messages translateable.

	* src/main.c (create_user_config_dir): Rewrote function.
	(create_mainwin_content): Removed debug messages.
	(create_gui): Check existance of ui xml file.
	(main): Increased main window size.

	* src/theme-manager.c: Removed debug messages.

2001-11-30  Jens Finke <jens@triq.net>

	* src/goal-view.[ch] (clear_view): Renamed to goal_view_clear and made it
	a public function.

	* src/main.c (game_prepare_level): Clear goal view.
	(game_clean_up): Clear goal view.

2001-11-30  Jens Finke <jens@triq.net>

	* src/board.c (board_init): Create selector only once here not for
	every level initialization.
	(board_init_level): Place selector in the middle of the playfield.
	(board_destroy): Call selector_destroy.
	(board_undo_move): Hide selector during move.
	(board_clear): Just hide the selector, don't destroy it.
	(board_set_keyboard_control): Removed function.
	(move_item): Hide selector during atom move.
	(move_item_anim): Update status of selector after moving.
	(selector_move_to): Move the selector arrows too.
	(selector_unselect): Hide selector arrows.
	(selector_arrows_hide),
	(selector_hide),
	(show_arrow_group),
	(selector_arrows_show),
	(selector_destroy): New functions. Indicate possible atom
	directions through arrows.
	(selector_select): Show arrows.
	(selector_create): Create arrow canvas items too.

	* src/board.h (board_set_mouse_control), (board_set_keyboard_control):
	Removed declarations.

	* src/theme-manager.c (handle_selector_node): New function.
	(theme_manager_get_theme): Don't free theme_dir variable.
	(load_theme): Call handle_selector_node on 'selector' node.

	* src/theme-private.h (theme_set_selector_arrow_image): New declaration.

	* src/theme.[ch] (theme_get_selector_arrow_images): New function.
	(theme_set_selector_arrow_image): New function.

2001-11-29  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* configure.in: Added es (Spanish) to ALL_LINGUAS.

2001-11-28  Jens Finke <jens@triq.net>

	* src/main.c (create_gui): Use new bonobo_ui_util_set_ui
	signature. Should be compilable now with the upcoming Gnome 2.0
	beta version.

2001-11-27  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added gl (Galician) to ALL_LINGUAS.

2001-11-27  Jens Finke <jens@triq.net>

	* src/Makefile.am (atomix_SOURCES): Removed global.h.
	(libatomix_a_SOURCES): Added level-private.h.
	(EXTRA_DIST): Added atomix-ui.xml.

	* src/board.c (board_render): Don't print playfield layout.

2001-11-27  Jens Finke <jens@triq.net>

	* configure.in: Bumped version to 0.9.0

2001-11-25  Jens Finke <jens@triq.net>

	* src/Makefile.am: Install atomix-ui.xml file in $(pkgdatadir)/ui.
	Don't create score file at install time.

	* src/level-manager.c (level_manager_init_levels): Look for the level
	sequence description in the global atomix datadir too. Don't use
	'/' in g_build_filename function.

	* src/main.c (create_gui): Look for ui file in global datadir.

	* src/theme-manager.c (theme_manager_init_themes): Don't use '/' in
	g_build_filename.
	
2001-11-25  Jens Finke <jens@triq.net>

	* src/board.c (selector_new): Add selector item to list of board
	canvas items.

	* src/main.c (game_skip_level): Increase level number.

2001-11-25  Jens Finke <jens@triq.net>

	* src/board.c (board_render): Center the playfield correctly. 

	* src/level-manager.c (add_level): No newline after debug output.

	* src/theme-manager.c (add_theme): No newline after debug output.

	* src/main.c (create_canvas_widget): Don't create scrolled window
	around gnome canvas.
	(main): Set initial size of main window to 620/420.

2001-11-25  Jens Finke <jens@triq.net>

	* Makefile.am (SUBDIRS): Added level and themes dir.

	* configure.in: Generate Makefiles in level and themes dir.
	

2001-11-22  Jens Finke <jens@triq.net>

	This is the first time after the GNOME 2.0 port that you can play
	atomix again. Well, theoretically. I must add the themes and
	levels to CVS yet.

	* src/board.c (move_item): The calculation of the item pixel position
	is somehow wrong. Added an ugly hack to correct this. Simplified
	control flow.

	* src/goal.c: Big changes here. With the new tile.[ch] design we can't
	use a hashtable as goal index anymore. There is now a gslist,
	which shouldn't be a performance hit since it stores only a couple
	of atom infos.
	(find_tile): New function, for searching in the list.
	(destroy_hash_value), (print_hash_table), (goal_print): removed
	functions.

	* src/main.c (game_prepare_level): Initialize the goal again.
	(game_level_finished): This uses the globale instance of AtomixApp
	now. This should be fixed.

	* src/tile.c (tile_finalize): Removed debug output.
	

2001-11-21  Jens Finke <jens@triq.net>

	* src/board.c: Reworked this completely. Removed all the mouse
	handling stuff and the need for the canvas_map_*
	functions. Cleaned up the code.

	* src/main.c (on_key_press_event): New key press handler.
	(game_init): Register key event handler.
	(game_prepare_level): Don't free goal_pf.
	(game_level_timeout): Don't call board_show_normal_cursor.
	(game_level_finished): dito.
	

2001-11-21  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW to ALL_LINGUAS.

2001-11-20  Jens Finke <jens@triq.net>

	* src/.cvsignore: Added level-convert and pf-test.

2001-11-20  Jens Finke <jens@triq.net>

	* src/Checked huge page in. There are three major tile types now:
	ATOM, WALL and FLOOR. Each tile has a base image which may have
	overlay and underlay images too. Level descriptions consist of
	three parts now: environment, scenario and goal. These changes
	affects nearly all files.

	* src/level-convert.c: New file, converts levels from the 0.4.3 format
	to the new format.

	* src/pf-test.c: New file, checks functions of the playfield data
	type..
	
	* src/Makefile.am (noinst_PROGRAMS): Added programs level-convert and
	pf-test.
	

2001-11-15  Jens Finke <jens@triq.net>

	* src/goal-view.c (create_small_item): Scale the pixbuf with
	gdk_pixbuf_scale_simple.

	* src/main.c (create_canvas_widget): Create an aa canvas.
	

2001-11-14  Jens Finke <jens@triq.net>

	* src/board.c (board_render): Use playfield_get_n_cols when iterating
	over the columns.

	* src/goal-view.c (clear_view): Check if item_group is != NULL.

	* src/level-manager.c (create_level_sequence): Added dummy handler for
	'text' tag.
	(load_level): Added dummy handler for 'text' tag. Print just a
	message about unknown tag not a warning.

	* src/playfield.c (playfield_new_from_xml): Added dummy handler for
	'text' tag.

	* src/theme-manager.c (load_theme),
	(handle_link_image_node),
	(handle_base_image_node): Added dummy handler for 'text' tag.

	* src/tile.c (tile_new_from_xml): Added dummy handler for 'text' tag.
	
2001-11-14  Jens Finke <jens@triq.net>

	* src/level-private.h: Forgot to add this. So here it is. 

2001-11-14  Jens Finke <jens@triq.net>

	* src/board.c (board_render): Check for tile == NULL.

	* src/goal.c (destroy_hash_value): Use g_slist_free to free the list.

	* src/level-manager.c (level_manager_init_levels): Look in
	~/.atomix/levels/ for 'sequence' file for now.
	(search_level_in_dir): Skip the dirs '.' and '..' correctly as
	well as the 'sequence' file. Use g_build_filename with NULL as
	last argument.
	(level_manager_get_next_level): Number of levels > 0 isn't an
	assertion anymore, but will be checked with a normal if statement.
	Get the filename from the hash table not the sequence list.
	(load_level): For a 'goal' node skip all other child nodes than
	'playfield'.

	* src/main.c (game_user_quits): Use gtk_widget_destroy to free the
	dialog. Check user response against GTK_RESPONSE_YES.
	(game_finished): Use gtk_widget_destroy to free the dialog.

	* src/theme.c (get_theme_image_pixbuf): Ref every pixbuf before
	returning.
	
2001-11-14  Jens Finke <jens@triq.net>

	* src/Makefile.am: Added playfield test program 'pf-test'.
	(atomix_SOURCES): Added goal-view.[ch], removed callbacks.[ch],
	preferences.[ch].
	(libatomix_a_SOURCES): Added level-manager.[ch]
	
	* src/board.[ch]: Reworked this, so that it works with the other new
	classes.

	* src/goal-view.[ch]: New files.

	* src/goal.[ch]: Reworked this. It is now a seperate class with all
	the gui stuff moved to goal-view.[ch].

	* src/callbacks.[ch]: Removed files.

	* src/canvas_helper.[ch]: Removed the non ref functions and removed
	the function name suffix _ref from the rest.

	* src/level-manager.[ch] (level_manager_is_last_level): New function.
	(level_manager_get_next_level): Use the filname from the successor
	of the search result.

	* src/level.c (level_get_playfield): Ref the outgoing playfield reference.
	(level_get_goal): dito.

	* src/level.h (level_get_type): Moved here from level-private.h.

	* src/main.[ch]: Reworked this and removed some of the functionality
	for now. It's more clean and structured now. Contains all the
	callbacks too.

	* src/theme-manager.c (handle_base_image_node): Ignore non bimage xml
	nodes.
	(handle_link_image_node): Ignore non limage xml nodes.

	* src/theme.h (theme_get_type): Moved here from theme-private.h.

	* src/theme.c (theme_finalize): Don't iterate through the hash table
	to free objects.
	(theme_new): Provide destroy method for hash data with
	g_hash_table_new_full.

	* src/util.c: Commented out all the functionality for now. We havn't a
	statusbar yet.

	* src/global.h: Removed file.
	

2001-11-13  Jens Finke <jens@triq.net>

	* src/level-manager.[ch]: New files.

	* src/level.[ch]: Reworked these files, moved a lot of the general
	level handling to level-manager.[ch].

	* src/playfield.[ch] (playfield_get_type): Fixed class type.
	(playfield_new_from_xml): New function.

	* src/theme-manager.c (theme_manager_init): Provide destroy functions
	for hash table key and value objects.
	(destroy_theme_item): Removed.
	(load_theme): Create theme after xml document creation.

	* src/theme.c (theme_get_type): Fixed class type.

	* src/tile.[ch] (tile_new_from_xml): New function.

2001-11-12  Jens Finke <jens@triq.net>

	* src/goal.[ch]: Reworked these files.

	* src/main.[ch] (get_app): Added this function again temporary.

	* src/playfield.[ch] (playfield_get_n_rows),
	(playfield_get_n_cols): New functions.

	* src/tile.[ch]: Added link_id_value attribute, which defines the
	attached links as one single integer value.
	(tile_init), 
	(tile_copy), 
	(tile_add_link), 
	(tile_remove_link),
	(tile_remove_all_links): Update link_id_value.
	(tile_is_equal): New function, compares two tiles.
	(tile_get_hash_value): New function, returns a single value, which
	identifies a tile uniquely.
	(tile_print): Made the output better fitting into playfield_print.

2001-11-12  Jens Finke <jens@triq.net>

	* src/playfield.[ch]: Rewrote this, uses glib object system now.

2001-11-12  Jens Finke <jens@triq.net>

	* src/theme-manager.c (theme_manager_init), (search_themes_in_dir),
	(load_theme): Removed unneeded variables.
	(string_to_tile_link): Initialize link with TILE_LINK_LAST.

	* src/theme.[ch] (theme_get_name), (theme_get_animstep): New functions.

2001-11-12  Jens Finke <jens@triq.net>

	* src/board.c: Adaptions to make it work with the new tile.[ch].
	(create_obstacle), (create_moveable), (create_item):
	Removed deprecated functions.
	(create_tile): New function, which uses the new theme interface.

	* src/callbacks.c (atomix_exit): Use g_object_unref to free the theme.

	* src/main.[ch]: Adaptions to the new theme[-manager] interface.

	* src/tile.c (tile_has_link): Return always false on TILE_LINK_LAST.
	

2001-11-12  Jens Finke <jens@triq.net>

	* src/ChangeLog: New ChangeLog for all changes in the src dir. 

2001-11-12  Jens Finke <jens@triq.net>

	* src/theme.[ch]: Rewrote this. Adapted it to changes in
	tile.[ch].

	* src/theme-manager.[ch]: New files. Handle all the managing stuff
	regarding to themes.

	* src/theme-private.h: New file, contains the private attributes and
	functions of a theme.

	* Makefile.am (SOURCES): Added theme-manager.[ch] and theme-private.h.
	(INCLUDES): Addded -Wall compiler option.
	

2001-11-12  Carlos Perell?³ Mar?­n <carlos@gnome-db.org>

	* configure.in: Added the new locales from GNOME 1.4 version.

2001-11-11  Jens Finke <jens@triq.net>

	* src/tile.[ch]: Rewrote this completely. There is a better
	handling of the available atom links.

2001-11-10  Jens Finke <jens@triq.net>

	* Initial import to gnome cvs repository.

